Core - Bug # 67040

Status: Resolved Priority: Must have
Author: Morton Jonuschat Category: DBAL
Created: 2015-05-19 Assigned To:

Updated: 2015-05-20 Due date:

TYPO3 Version: 7

PHP Version: 5.6

Complexity:

Is Regression: Yes

Sprint Focus:

Subject:

Backend broken on PostgreSQL - missing (string) cast in dbal/DatabaseConnection

Description

The backend is completely unusable with TYPO3 CMS 7.1+ in combination with PostgreSQL. Every action/module fails with the

message

Oops, an error occurred!

The CSRF protection token for the requested module is missing or invalid

More information regarding this error might be available online.

Versions Prior to 7.1.0 (e.g 7.0.2 or 6.2.12) work fine. A "git bisect’ has identified commit
4722b6cf5c97ab415d3d35687ed77750097e3258 as the likely culprit.

Related issues:
related to Core - Bug # 67057: DBAL locallang error Closed

follows Core - Task # 54091: Use === operator instead of strlen() to check fo... Resolved

2015-05-20
2013-11-29

Associated revisions

Revision a27dfad8 - 2015-05-20 00:20 - Morton Jonuschat

[BUGFIX] Add missing (string) cast in dbal/DatabaseConnection

This is a regression fix for #54091.

It has been forgotten to cast the lastQuery to a string before

checking if it's empty

Resolves: #67040
Related: #54091
Releases: master

Change-Id: 16991cad799e686066{8205749baee4aed20a9127
Reviewed-on: http://review.typo3.0rg/39625

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Stephan GroBberndt <stephan@grossberndt.de>

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>
History

#1 - 2015-05-19 19:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/39625

#2 - 2015-05-19 19:55 - Stephan GroBberndt
- Subject changed from Backend broken on PostgreSQL to Backend broken on PostgreSQL - missing (string) cast in dbal/DatabaseConnection
- Target version set to next-patchlevel

#3 - 2015-05-20 00:30 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a27dfad89f17e8a370ebba5376a88cba5c720fa2.
